Name:           ocaml-lzma
Version:        0.01
Release:        %mkrel 21
Summary:        OCaml bindings for the LZMA compression library
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/ocaml-lzma/
Source0:        http://forge.ocamlcore.org/frs/download.php/378/ocaml-lzma-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  pkgconfig(liblzma)

%description
OCaml bindings for the LZMA compression library.
Lzma provides very high compression ratio and fast decompression,
the average compression ratio is 30% better than that of gzip and
15% better than that of bzip2.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       liblzma-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
make
make doc

%install
mkdir -p %{buildroot}%{_libdir}/ocaml/lzma
mkdir -p %{buildroot}%{_libdir}/ocaml/stublibs
make install \
  PREFIX=%{buildroot}%{_libdir}/ocaml/lzma \
  SO_PREFIX=%{buildroot}%{_libdir}/ocaml/stublibs
rm -f %{buildroot}%{_libdir}/ocaml/lzma/*.o
rm -f %{buildroot}%{_libdir}/ocaml/lzma/*.cmo

mkdir examples
cp test_* examples/

%files
%doc README.txt description.txt LICENSE.txt
%dir %{_libdir}/ocaml/lzma
%{_libdir}/ocaml/lzma/META
%{_libdir}/ocaml/lzma/*.cma
%{_libdir}/ocaml/lzma/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc examples
%{_libdir}/ocaml/lzma/*.a
%{_libdir}/ocaml/lzma/*.cmxa
%{_libdir}/ocaml/lzma/*.cmx
%{_libdir}/ocaml/lzma/*.mli
%{_libdir}/ocaml/stublibs/*.cmxs




%changelog
* Fri Aug 21 2020 umeabot <umeabot> 0.01-21.mga8
+ Revision: 1617570
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 0.01-20.mga8
+ Revision: 1551161
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.01-19.mga8
+ Revision: 1545205
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 0.01-18.mga8
+ Revision: 1484295
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.01-17.mga7
+ Revision: 1324051
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.01-16.mga7
+ Revision: 1323766
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.01-15.mga7
+ Revision: 1299892
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 0.01-14.mga7
+ Revision: 1179550
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.01-13.mga6
+ Revision: 1056420
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.01-12.mga6
+ Revision: 956384
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.01-11.mga5
+ Revision: 738805
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.01-10.mga5
+ Revision: 683062
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.01-9.mga4
+ Revision: 545758
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 blue_prawn <blue_prawn> 0.01-8.mga4
+ Revision: 501735
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 0.01-7.mga3
+ Revision: 361486
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.01-6.mga3
+ Revision: 301668
- new rpm group for ocaml

* Wed Nov 23 2011 malo <malo> 0.01-5.mga2
+ Revision: 171337
- missing Requires liblzma-devel
- removing unused .o and .cmo files

* Mon Nov 14 2011 fwang <fwang> 0.01-4.mga2
+ Revision: 167484
- mageia has its own patch on LZMA_PRESET_TEXT

* Sun Oct 02 2011 fwang <fwang> 0.01-3.mga2
+ Revision: 150918
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 0.01-2.mga1
+ Revision: 82388
- clean spec file
- Imported package ocaml-lzma from Mandriva where it has been made by Florent Monnier (aka blue prawn).


* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 0.01-2mdv2011.0
+ Revision: 601657
- fix build with xz 5.0

* Mon Apr 26 2010 Florent Monnier <blue_prawn@mandriva.org> 0.01-1mdv2011.0
+ Revision: 539376
- BuildRequires: liblzma-devel
- BuildRequires: ocaml
- import ocaml-lzma


